=== qimgv/sourcecontainers/CMakeLists.txt ===
## SOURCES FOR QIMGV CONTAINER CLASSES

target_sources(qimgv PRIVATE
    clip.cpp
    documentinfo.cpp
    image.cpp
    imageanimated.cpp
    imagestatic.cpp
    thumbnail.cpp
    video.cpp
)
