=== qimgv/utils/CMakeLists.txt ===
## SOURCES FOR QIMGV UTILITY CLASSES

target_sources(qimgv PRIVATE
    actions.cpp
    helprunner.cpp
    imagefactory.cpp
    imagelib.cpp
    inputmap.cpp
    randomizer.cpp
    script.cpp
    sleep.cpp
    stuff.cpp
    wallpapersetter.cpp
)
