=== debian/changelog ===
qimgv (0.9.1-2) unstable; urgency=medium

  * Source-only upload.
  * debian/rules: Enable full hardening. 

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Jul 2020 08:07:34 -0400

qimgv (0.9.1-1) unstable; urgency=medium

  * Initial release. (Closes: #960198)

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Jun 2020 10:47:48 -0400
