=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qimgv-$1.tar.gz%" \
 https://github.com/easymodo/qimgv/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
