## qimgv 0.9.1-12+g0de3efc

=== debian/changelog ===
qimgv (0.9.1-12+g0de3efc-fix1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Move kimageformat-plugins to depends.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 10 Nov 2020 11:05:55 -0500

qimgv (0.9.1-12-g0de3efc-fix1-1easymodo2~eoan) eoan; urgency=medium

  * .

 -- Eugene G. <easymodofrf@gmail.com>  Fri, 22 May 2020 13:21:55 +0300

qimgv (0.9.1-12-g0de3efc-fix1-1easymodo2~focal) eoan; urgency=medium

  * 0.9.1-eoan

 -- Eugene G. <easymodofrf@gmail.com>  Fri, 22 May 2020 13:20:54 +0300

qimgv (0.9.1-12-g0de3efc-fix1-1easymodo2~focal) focal; urgency=medium

  * 0.9.1

 -- Eugene G. <easymodofrf@gmail.com>  Fri, 22 May 2020 13:15:32 +0300

qimgv (0.9.1-12-g0de3efc-fix1-1easymodo2~bionic) bionic; urgency=medium

  * 0.9.1

 -- Eugene G. <easymodofrf@gmail.com>  Fri, 22 May 2020 13:10:36 +0300

qimgv (0.9.1-12-g0de3efc-fix1-1easymodo1~bionic) bionic; urgency=medium

  * test

 -- Eugene G. <easymodofrf@gmail.com>  Fri, 22 May 2020 13:05:25 +0300
