=== debian/control ===
Source: qimgv
Section: graphics
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Eugene G. <easymodofrf@gmail.com>
Build-Depends: debhelper (>= 10),
	gcc-8,
	g++-8,
	cmake, 
	pkg-config,
	qt5-default,
	libmpv-dev,
	libexiv2-dev,
	libopencv-dev,
	libopencv-imgproc-dev,
	libopencv-core-dev,
	libkf5windowsystem-dev,
Standards-Version: 4.1.4
Homepage: https://github.com/easymodo/qimgv
#Vcs-Git: git://github.com/easymodo/qimgv.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qimgv.git;a=summary

Package: qimgv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kimageformat-plugins
Description: Image viewer with webm support
 Qt5 image viewer with optional video support.
