=== qimgv/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,11 @@
 include(GNUInstallDirs)
+
+set(CMAKE_VERBOSE_MAKEFILE ON)
+
+if(APPLE)
+    set(APPLE_ICON_NAME "qimgv.icns")
+    set(APPLE_ICON_PATH "distrib/${APPLE_ICON_NAME}")
+endif()
 
 # ADD EXECUTABLE
 add_executable(qimgv
@@ -6,11 +13,15 @@
     core.cpp
     main.cpp
     settings.cpp
+    themestore.cpp
     sharedresources.cpp
     shortcutbuilder.cpp
     proxystyle.cpp
+    macosapplication.cpp
     resources.qrc
-    qimgv.rc)
+    qimgv.rc
+    ${APPLE_ICON_PATH}
+)
 
 # ADD SOURCES
 add_subdirectory(components)
@@ -26,9 +37,9 @@
 set_target_properties(qimgv PROPERTIES CXX_EXTENSIONS OFF)
 
 # LINK STUFF
-target_link_libraries(qimgv PRIVATE Qt5::Core Qt5::Widgets Qt5::Concurrent)
-if(USING_LIBSTDCXX)
-    target_link_libraries(qimgv PRIVATE stdc++fs)
+target_link_libraries(qimgv PRIVATE Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Svg Qt${QT_VERSION_MAJOR}::PrintSupport)
+if(QT_VERSION_MAJOR GREATER_EQUAL 6)
+    target_link_libraries(qimgv PRIVATE Qt${QT_VERSION_MAJOR}::Core5Compat)
 endif()
 
 # OPTION DEFINITIONS, LINKING
@@ -42,6 +53,13 @@
 endif()
 if(VIDEO_SUPPORT)
     target_compile_definitions(qimgv PRIVATE USE_MPV)
+    if(WIN32)
+        ADD_DEFINITIONS(-D_QIMGV_PLUGIN_DIR="plugins")
+        ADD_DEFINITIONS(-D_QIMGV_PLAYER_PLUGIN="player_mpv.dll")
+    else()
+        ADD_DEFINITIONS(-D_QIMGV_PLUGIN_DIR="${QIMGV_PLUGIN_DIR}")
+        ADD_DEFINITIONS(-D_QIMGV_PLAYER_PLUGIN="player_mpv.so")
+    endif()
 endif()
 if(OPENCV_SUPPORT)
     target_link_libraries(qimgv PRIVATE ${OpenCV_LIBS})
@@ -59,7 +77,15 @@
         message(SEND_ERROR "You are using an unsupported Windows compiler! (Not MSVC or GCC)")
     endif(MSVC)
 elseif(APPLE)
-    set_target_properties(qimgv PROPERTIES MACOSX_BUNDLE YES)
+    set_target_properties(qimgv PROPERTIES
+        MACOSX_BUNDLE YES
+        MACOSX_BUNDLE_BUNDLE_NAME "qimgv"
+        MACOSX_BUNDLE_BUNDLE_VERSION "1.0.2"
+        MACOSX_BUNDLE_SHORT_VERSION_STRING "1.0.2"
+        MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/distrib/MyBundleInfo.plist.in
+        MACOSX_BUNDLE_ICON_FILE ${APPLE_ICON_NAME}
+    )
+    set_source_files_properties(${APPLE_ICON_PATH} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
 elseif(NOT UNIX)
     message(SEND_ERROR "You are on an unsupported platform! (Not Win32, Mac OS X or Unix)")
 endif()
