=== qimgv/gui/CMakeLists.txt ===
--- 
+++ 
@@ -27,11 +27,16 @@
     customwidgets/thumbnailwidget.cpp
     customwidgets/videoslider.cpp
     customwidgets/pushbuttonfocusind.cpp
+    customwidgets/styledcombobox.cpp
+    customwidgets/colorselectorbutton.cpp
+    customwidgets/entryinfoitem.cpp
 
+    dialogs/filereplacedialog.cpp
     dialogs/resizedialog.cpp
     dialogs/scripteditordialog.cpp
     dialogs/settingsdialog.cpp
     dialogs/shortcutcreatordialog.cpp
+    dialogs/printdialog.cpp
 
     overlays/changelogwindow.cpp
     overlays/controlsoverlay.cpp
@@ -54,6 +59,7 @@
     panels/croppanel/croppanel.cpp
     panels/mainpanel/mainpanel.cpp
     panels/mainpanel/thumbnailstrip.cpp
+    panels/mainpanel/thumbnailstripproxy.cpp
     panels/sidepanel/sidepanel.cpp
 
     panels/infobar/infobar.cpp
@@ -68,11 +74,11 @@
     folderview/foldergridview.cpp
     folderview/folderview.cpp
     folderview/folderviewproxy.cpp
-    folderview/thumbnailgridwidget.cpp
     folderview/filesystemmodelcustom.cpp
     folderview/treeviewcustom.cpp
     folderview/bookmarkswidget.cpp
     folderview/bookmarksitem.cpp
+    folderview/fvoptionspopup.cpp
 )
 
 # UI Files
@@ -80,10 +86,12 @@
 target_sources(qimgv PRIVATE
     contextmenu.ui
 
+    dialogs/filereplacedialog.ui
     dialogs/resizedialog.ui
     dialogs/scripteditordialog.ui
     dialogs/settingsdialog.ui
     dialogs/shortcutcreatordialog.ui
+    dialogs/printdialog.ui
 
     overlays/changelogwindow.ui
     overlays/copyoverlay.ui
@@ -100,4 +108,5 @@
     panels/infobar/infobar.ui
 
     folderview/folderview.ui
+    folderview/fvoptionspopup.ui
 )
