=== debian/changelog ===
qimgv (1.0.2-2) unstable; urgency=medium

  * Team upload
  * Disable mpv support for now (Closes: #1024028)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 28 Nov 2022 19:40:51 +0100

qimgv (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.
  * Add new build-dependency libqt5svg5-dev.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Sep 2021 21:00:36 -0400
