=== debian/control ===
Source: qimgv
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Standards-Version: 4.6.0
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libexiv2-dev,
 libkf5windowsystem-dev,
 libopencv-core-dev,
 libopencv-dev,
 libopencv-imgproc-dev,
 libqt5svg5-dev,
 pkg-config,
 qtbase5-dev (>= 5.9~),
Rules-Requires-Root: no
Homepage: https://github.com/easymodo/qimgv
Vcs-Git: https://salsa.debian.org/multimedia-team/qimgv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qimgv

Package: qimgv
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt5 image viewer with optional video support
 Qimgv is an image viewer written in Qt5. It is fast, configurable
 and easy to use. It also provides optional video support.
