## qimgv 1.0.2%2Bgit20240112

=== debian/changelog ===
qimgv (1.0.2+git20240112-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:29:11 +1100

qimgv (1.0.2+git20240112-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:39:23 +0000

qimgv (1.0.2+git20240112-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Tue, 06 Feb 2024 10:29:47 -0500

qimgv (1.0.2+git20230814-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/patches/0001-Search-multiarch-dir-for-plugin-so-files.patch:
    Add patch to also search multiarch dirs when looking for plugin
    .so files. (Closes: #1041064)

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Nov 2023 14:16:38 -0400

qimgv (1.0.2+git20230615-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/rules: Re-enable mpv support.
  * debian/control: Add new build-dep qttools5-dev, libfftw3-dev.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Jul 2023 20:04:11 -0400
