=== debian/control ===
--- 
+++ 
@@ -4,18 +4,21 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  libexiv2-dev,
+ libfftw3-dev,
  libkf5windowsystem-dev,
+ libmpv-dev,
  libopencv-core-dev,
  libopencv-dev,
  libopencv-imgproc-dev,
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev (>= 5.9~),
+ qttools5-dev,
 Rules-Requires-Root: no
 Homepage: https://github.com/easymodo/qimgv
 Vcs-Git: https://salsa.debian.org/multimedia-team/qimgv.git
