=== qimgv/gui/CMakeLists.txt ===
--- 
+++ 
@@ -19,9 +19,7 @@
     customwidgets/overlaywidget.cpp
     customwidgets/pathselectormenuitem.cpp
     customwidgets/sidepanelwidget.cpp
-    customwidgets/slidehpanel.cpp
     customwidgets/slidepanel.cpp
-    customwidgets/slidevpanel.cpp
     customwidgets/spinboxinputfix.cpp
     customwidgets/thumbnailview.cpp
     customwidgets/thumbnailwidget.cpp
@@ -30,6 +28,7 @@
     customwidgets/styledcombobox.cpp
     customwidgets/colorselectorbutton.cpp
     customwidgets/entryinfoitem.cpp
+    customwidgets/ssidebar.cpp
 
     dialogs/filereplacedialog.cpp
     dialogs/resizedialog.cpp
