=== debian/changelog ===
qimgv (1.0.2+git20240112-2build2) plucky; urgency=medium

  * No-change rebuild for opencv 4.10.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 19 Feb 2025 08:47:48 +0000

qimgv (1.0.2+git20240112-2build1) plucky; urgency=medium

  * No-change rebuild for libexiv2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2024 12:22:22 +0000

qimgv (1.0.2+git20240112-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Mar 2024 09:05:34 -0500
