=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: qimgv
 Section: graphics
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 4.6.2
 Build-Depends:
  cmake,
@@ -21,8 +19,8 @@
  qttools5-dev,
 Rules-Requires-Root: no
 Homepage: https://github.com/easymodo/qimgv
-Vcs-Git: https://salsa.debian.org/multimedia-team/qimgv.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/qimgv
+Vcs-Git: https://salsa.debian.org/debian/qimgv.git
+Vcs-Browser: https://salsa.debian.org/debian/qimgv
 
 Package: qimgv
 Architecture: any
