## qimgv 1.0.2+git20250303

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,16 +6,6 @@
     LANGUAGES CXX)
 
 message(STATUS "Build configuration: " ${CMAKE_BUILD_TYPE})
-
-if(IS_ABSOLUTE ${CMAKE_INSTALL_LIBDIR})
-    set(QIMGV_PLUGIN_DIR "${CMAKE_INSTALL_LIBDIR}/qimgv")
-else()
-    set(QIMGV_PLUGIN_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/qimgv")
-endif()
-
-ADD_DEFINITIONS(-D_QIMGV_PLUGIN_DIR="${QIMGV_PLUGIN_DIR}")
-
-message(STATUS "Plugin dir: " ${QIMGV_PLUGIN_DIR})
 
 # check for gcc
 if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND
@@ -35,19 +25,25 @@
 option(VIDEO_SUPPORT "Enable video support" ON)
 option(OPENCV_SUPPORT "Enable HQ scaling via OpenCV" ON)
 option(KDE_SUPPORT "Support blur when using KDE" OFF)
+if(UNIX AND NOT APPLE)
+    set(QT_EXTERN_PATH "" CACHE STRING "Tell compile external QT path, example: (/opt/Qt/6.2.0/gcc_64)")
+    string(COMPARE EQUAL "${QT_EXTERN_PATH}" "" result)
+    if (NOT result)
+        set(CMAKE_INSTALL_RPATH "${QT_EXTERN_PATH}/lib")
+    endif()
+endif()
 
 # FIND PACKAGES
-# test for qt5, use that if possible
 find_package(Qt5 COMPONENTS Widgets QUIET)
 if(Qt5_FOUND)
     find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Widgets Svg PrintSupport)
 else()
-    find_package(QT NAMES Qt5 Qt6 REQUIRED COMPONENTS Core Widgets Svg Core5Compat PrintSupport OpenGLWidgets)
+    find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core Widgets Svg PrintSupport OpenGLWidgets)
 endif()
 
 message(STATUS "Qt Version: " ${QT_VERSION})
 if(QT_VERSION_MAJOR GREATER_EQUAL 6)
-    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Widgets Svg PrintSupport Core5Compat OpenGLWidgets)
+    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Widgets Svg PrintSupport OpenGLWidgets)
 else()
     find_package(Qt${QT_VERSION_MAJOR} 5.12 REQUIRED COMPONENTS Core Widgets Svg PrintSupport)
 endif()
