=== qimgv/gui/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,7 @@
     dialogs/printdialog.cpp
 
     overlays/changelogwindow.cpp
+    overlays/clickzoneoverlay.cpp
     overlays/controlsoverlay.cpp
     overlays/copyoverlay.cpp
     overlays/cropoverlay.cpp
