=== debian/changelog ===
qimgv (1.0.2+git20250303-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot. (Closes: #1078062)

 -- Boyuan Yang <byang@debian.org>  Thu, 10 Apr 2025 20:06:29 -0400
