## qimgv 1.0.2+git20250905

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,8 @@
 option(VIDEO_SUPPORT "Enable video support" ON)
 option(OPENCV_SUPPORT "Enable HQ scaling via OpenCV" ON)
 option(KDE_SUPPORT "Support blur when using KDE" OFF)
+option(USE_QT5 "Build with Qt5 if available" ON)
+
 if(UNIX AND NOT APPLE)
     set(QT_EXTERN_PATH "" CACHE STRING "Tell compile external QT path, example: (/opt/Qt/6.2.0/gcc_64)")
     string(COMPARE EQUAL "${QT_EXTERN_PATH}" "" result)
@@ -34,11 +36,20 @@
 endif()
 
 # FIND PACKAGES
-find_package(Qt5 COMPONENTS Widgets QUIET)
-if(Qt5_FOUND)
-    find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Widgets Svg PrintSupport)
-else()
-    find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core Widgets Svg PrintSupport OpenGLWidgets)
+if(USE_QT5) # Try Qt5 first if USE_QT5 is set
+    find_package(Qt5 COMPONENTS Widgets QUIET)
+    if(Qt5_FOUND)
+        find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Widgets Svg PrintSupport)
+    else()
+        find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core Widgets Svg PrintSupport OpenGLWidgets)
+    endif()
+else() # Try Qt6 otherwise
+    find_package(Qt6 COMPONENTS Widgets QUIET)
+    if(Qt6_FOUND)
+        find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core Widgets Svg PrintSupport OpenGLWidgets)
+    else()
+        find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Widgets Svg PrintSupport)
+    endif()
 endif()
 
 message(STATUS "Qt Version: " ${QT_VERSION})
@@ -54,7 +65,7 @@
 endif()
 
 if(KDE_SUPPORT)
-    find_package(KF5WindowSystem REQUIRED)
+    find_package(KF6WindowSystem REQUIRED)
 endif()
 
 if(OPENCV_SUPPORT)
