=== qimgv/3rdparty/QtOpenCV/CMakeLists.txt ===
target_sources(qimgv PRIVATE
    cvmatandqimage.cpp
)
