=== debian/changelog ===
qimgv (1.0.2+git20250905-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Sep 2025 14:53:15 -0400
