=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -14,7 +14,7 @@
  libopencv-dev,
  libopencv-imgproc-dev,
  libqt5svg5-dev,
- pkg-config,
+ pkgconf,
  qtbase5-dev (>= 5.9~),
  qttools5-dev,
 Rules-Requires-Root: no
