=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,9 @@
 
 export QT_SELECT := 5
 
+include /usr/share/dpkg/architecture.mk
+# For CMake recognizing this variable
+export DEB_HOST_MULTIARCH
+
 %:
 	dh $@
-
-override_dh_auto_configure:
-	dh_auto_configure -- -DVIDEO_SUPPORT=OFF
