## qimgv 1.0.2+git20260119

=== qimgv/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
     "de_DE.ts"
     "fr_FR.ts"
     "tr_TR.ts"
+    "ja_JP.ts"
 )
 list(TRANSFORM TS_FILES PREPEND ${CMAKE_CURRENT_SOURCE_DIR}/res/translations/)
 set_source_files_properties(${TS_FILES} PROPERTIES OUTPUT_LOCATION ${PROJECT_BINARY_DIR}/qimgv/translations)
