=== debian/changelog ===
qimgv (1.0.2+git20260119-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot.
  * Switch to build with Qt6.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Mar 2026 21:13:10 -0500
