=== debian/control ===
Source: qimgv
Section: graphics
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.3
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libexiv2-dev,
 libfftw3-dev,
 libkf6windowsystem-dev,
 libmpv-dev,
 libopencv-core-dev,
 libopencv-dev,
 libopencv-imgproc-dev,
 pkgconf,
 qt6-base-dev,
 qt6-svg-dev,
 qt6-tools-dev,
Homepage: https://github.com/easymodo/qimgv
Vcs-Git: https://salsa.debian.org/debian/qimgv.git
Vcs-Browser: https://salsa.debian.org/debian/qimgv

Package: qimgv
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt image viewer with optional video support
 Qimgv is an image viewer written in Qt. It is fast, configurable
 and easy to use. It also provides optional video support.
