=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,12 @@
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-export QT_SELECT := 5
-
 include /usr/share/dpkg/architecture.mk
 # For CMake recognizing this variable
 export DEB_HOST_MULTIARCH
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DUSE_QT5=OFF
